RHEL 8 : gd (RHSA-2020:4659)

High Nessus Plugin ID 143083

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 7.4

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

The remote Redhat Enterprise Linux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2020:4659 advisory.

- gd: NULL pointer dereference in gdImageClone (CVE-2018-14553)

- gd: Heap-based buffer overflow in gdImageColorMatch() in gd_color_match.c (CVE-2019-6977)

- gd: Double free in the gdImage*Ptr in gd_gif_out.c, gd_jpeg.c, and gd_wbmp.c (CVE-2019-6978)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected gd, gd-debugsource and / or gd-devel packages.

See Also

https://cwe.mitre.org/data/definitions/119.html

https://cwe.mitre.org/data/definitions/122.html

https://cwe.mitre.org/data/definitions/416.html

https://access.redhat.com/security/cve/CVE-2018-14553

https://access.redhat.com/security/cve/CVE-2019-6977

https://access.redhat.com/security/cve/CVE-2019-6978

https://access.redhat.com/errata/RHSA-2020:4659

https://bugzilla.redhat.com/1600727

https://bugzilla.redhat.com/1671390

https://bugzilla.redhat.com/1672207

Plugin Details

Severity: High

ID: 143083

File Name: redhat-RHSA-2020-4659.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2020/11/19

Updated: 2020/11/24

Dependencies: 12634

Risk Information

Risk Factor: High

VPR Score: 7.4

CVSS Score Source: CVE-2019-6978

CVSS v2.0

Base Score: 7.5

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSS v3.0

Base Score: 9.8

Temporal Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:redhat:enterprise_linux:8, cpe:/a:redhat:enterprise_linux:8::appstream, p-cpe:/a:redhat:enterprise_linux:gd, p-cpe:/a:redhat:enterprise_linux:gd-debugsource, p-cpe:/a:redhat:enterprise_linux:gd-devel

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2020/11/04

Vulnerability Publication Date: 2019/01/26

Reference Information

CVE: CVE-2018-14553, CVE-2019-6977, CVE-2019-6978

BID: 106731

RHSA: 2020:4659

CWE: 119, 122, 416